/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.yami.shop.delivery.comment.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yami.shop.bean.model.Transport2;
import com.yami.shop.common.util.PageParam;
import com.yami.shop.delivery.comment.param.ShopTransport;
import org.apache.ibatis.annotations.Param;

public interface Transport2Mapper extends BaseMapper<Transport2> {


    Transport2 getTransportShopPlatform(@Param("shopId") Long shopId,@Param("platform") Integer platform);

    Transport2 getTransport(@Param("shopId") Long shopId, @Param("distance") Double distance);

    Transport2 getTransportWeight(@Param("shopId") Long shopId, @Param("distance") Double distance, @Param("weight") Double weight);

    Transport2 findByTransportId(@Param("transportId") Long transportId);

    void deleteTransports(@Param("ids") Long[] ids);

    ShopTransport findShopTransports(@Param("shopId") Long shopId);

    Transport2 findByPlatform(Long channelId);

    IPage<Transport2> transport2List(@Param("page") PageParam<Transport2> page);

}
